start on (local-filesystems and net-device-up IFACE!=lo)

stop on runlevel [06]

pre-start script
    mkdir -p /var/opt/node/run
    mkdir -p /var/log/{{ hive_game_app }}
    chown -R {{ hive_user }}:www-data /var/log/{{ hive_game_app }}
    cd /var/www/{{ hive_game_app }}/
    sudo su {{ hive_user }}
end script

respawn

env NODE_ENV=prod
exec start-stop-daemon --start --chuid {{ hive_user }} --make-pidfile --pidfile /var/opt/node/run/{{ hive_game_app }}.pid --chdir /var/www/{{ hive_game_app }}/ --exec /usr/bin/node -- run.js >> /var/log/{{ hive_game_app }}/{{ hive_game_app }}.log 2>&1